version: '2'
mpp-vars:
  name: qa
pipelines:
- mpp-import-pipelines:
    path: include/build.ipp.yml
- name: rootfs
  build: name:build
  stages:
  - type: org.osbuild.kernel-cmdline
    options:
      root_fs_uuid:
        mpp-eval: rootfs_uuid
  - type: org.osbuild.rpm
    options:
      gpgkeys:
      - mpp-eval: centos_gpg_key
      - mpp-eval: redhat_gpg_key
      disable_dracut: true
      exclude:
        docs: true
    inputs:
      packages:
        type: org.osbuild.files
        origin: org.osbuild.source
        mpp-depsolve:
          architecture: $arch
          ignore-weak-deps: true
          module-platform-id: $distro_module_id
          baseurl: $distro_baseurl/BaseOS/$arch/os/
          repos:
            mpp-join:
            - - id: EPEL
                baseurl: https://dl.fedoraproject.org/pub/epel/9/Everything/$arch/
            - mpp-eval: distro_repos
            - mpp-eval: target_repos
            - mpp-eval: extra_repos
            - []
          packages:
            mpp-join:
            - mpp-eval: base_rpms
            - mpp-eval: image_rpms
            - mpp-eval: extra_rpms
            - - sudo
              - openssh-clients
              - openssh-server
              - dnf
              - rsync
              - wget
              - git
              - time
              - nfs-utils
              - ncurses
              - beakerlib
          excludes:
          - dracut-config-rescue
  - type: org.osbuild.locale
    options:
      language: en_US.UTF-8
  - type: org.osbuild.users
    options:
      users:
        guest:
          password:
            mpp-eval: guest_password
          groups: ["wheel"]
  - type: org.osbuild.sshd.config
    options:
      config:
        PermitRootLogin:
          mpp-eval: ssh_permit_root_login
  - type: org.osbuild.systemd
    options:
      enabled_services:
      - NetworkManager.service
      - rngd.service
      - sshd.service
  - type: org.osbuild.yum.repos
    options:
      filename: epel.repo
      repos: [
       {
          id: epel,
          name: "EPEL",
          baseurl: ["https://dl.fedoraproject.org/pub/epel/9/Everything/$arch/os/"],
          enabled: true,
          gpgcheck: true
       }
      ]
- mpp-import-pipelines:
    path: include/image.ipp.yml
